List Search

Finding an item in a large list can be a grueling task. Not any more, with advanced search capabilities of Infowise List Search you can find whatever you need in a second!
  • Simple and advanced search interfaces
  • Specify site lists available for search
  • Supports SharePoint native full item context menu
  • Presents all searchable columns on the fly
  • For choice/lookup columns a list of possible values is shown
  • For date columns a date picker is shown
  • Chain up to 5 conditions together, "AND" and "OR" are supported
  • Supports sorting of results in both directions
  • Optional paging of search results
  • Save and re-use query conditions
  • Administrator-created shared presaved query conditions
  • Print search results (requires Smart Print Pro)
  • Export search results to Excel
  • ASP.NET 3.5 AJAX support, when available
  • Localized into English, French, Spanish and German
Search list items using a selection of simple and advanced search interfaces. Chain together multiple condition and select the values from a drop-down box instead of typing them in.
Feature Image Our Product SharePoint Native
Simple search interface   Included  
Advanced search interface with multiple conditions caption  Included  
Specific value entry controls for different column type   Included  
View results in grid with context menu and sorting functionality   Included  
View results in selected view   Included  
Full-featured context menu in search result items   Included  
Sorting and paging in search results   Included  
Optionally filter results by view   Included  
Optionally search only in view columns   Included  
Saved and shared query conditions   Included  
Print search results (requires Smart Print Pro)   Included  
Export search results to Excel   Included  
AJAX-enabled interface without postback   Included  
Localized into English, French, Spanish and German   Included  
Note: unless specifically stated otherwise, all products require only SharePoint Foundation 4.0/5.0. Microsoft SharePoint Server 2010-2016 is supported, but not required. All of our products must be installed as farm solutions.